### Function

# Secret Item load_secrets_sync

#### Declaration [src]

    gboolean
    secret_item_load_secrets_sync (
      GList* items,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load the secret values for a secret item stored in the service.

The `items` must all have the same `SecretItem:service` property.

This method may block indefinitely and should not be used in user interface threads.

Items that are locked will not have their secrets loaded.

#### Parameters

`items`

  Type: A list of `None`

  The items to retrieve secrets for.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the operation succeeded or not.